[Pkg-samba-maint] r2953 - in branches/talloc: . experimental/debian

jelmer at alioth.debian.org jelmer at alioth.debian.org
Sat Jul 18 10:37:59 UTC 2009


Author: jelmer
Date: 2009-07-18 10:37:57 +0000 (Sat, 18 Jul 2009)
New Revision: 2953

Added:
   branches/talloc/experimental/
   branches/talloc/experimental/debian/build-orig.sh
Modified:
   branches/talloc/experimental/debian/changelog
   branches/talloc/experimental/debian/rules
Log:
New upstream snapshot, required for Samba 4.

Added: branches/talloc/experimental/debian/build-orig.sh
===================================================================
--- branches/talloc/experimental/debian/build-orig.sh	                        (rev 0)
+++ branches/talloc/experimental/debian/build-orig.sh	2009-07-18 10:37:57 UTC (rev 2953)
@@ -0,0 +1,28 @@
+#!/bin/bash
+REFSPEC=$1
+GIT_URL=$2
+shift 2
+
+if [ -z "$GIT_URL" ]; then
+	GIT_URL=git://git.samba.org/samba.git
+fi
+
+if [ -z "$REFSPEC" ]; then
+	REFSPEC=origin/master
+fi
+
+TALLOCTMP=$TMPDIR/$RANDOM.talloc.git
+version=$( dpkg-parsechangelog -l`dirname $0`/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$//' )
+git clone --depth 1 -l $GIT_URL $TALLOCTMP
+if [ ! -z "$REFSPEC" ]; then
+	pushd $TALLOCTMP
+	git checkout $REFSPEC || exit 1
+	popd
+fi
+
+mv $TALLOCTMP/lib/talloc "talloc-$version"
+mv $TALLOCTMP/lib/replace "talloc-$version/libreplace"
+rm -rf $TALLOCTMP
+pushd "talloc-$version" && ./autogen.sh && popd
+tar cvz "talloc-$version" > "talloc_$version.orig.tar.gz"
+rm -rf "talloc-$version"


Property changes on: branches/talloc/experimental/debian/build-orig.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: branches/talloc/experimental/debian/changelog
===================================================================
--- trunk/talloc/debian/changelog	2009-07-18 09:45:31 UTC (rev 2950)
+++ branches/talloc/experimental/debian/changelog	2009-07-18 10:37:57 UTC (rev 2953)
@@ -1,3 +1,9 @@
+talloc (1.4.0~git20090718-1) experimental; urgency=low
+
+  * New upstream snapshot, required for Samba 4.
+
+ -- Jelmer Vernooij <jelmer at debian.org>  Sat, 18 Jul 2009 12:14:50 +0200
+
 talloc (1.3.1-2) unstable; urgency=low
 
   * Bump shlibs and use symbol versioning. Closes: #536322

Modified: branches/talloc/experimental/debian/rules
===================================================================
--- trunk/talloc/debian/rules	2009-07-18 09:45:31 UTC (rev 2950)
+++ branches/talloc/experimental/debian/rules	2009-07-18 10:37:57 UTC (rev 2953)
@@ -35,6 +35,9 @@
 endif
 	touch build-stamp
 
+get-orig-source:
+	./debian/build-orig.sh
+
 clean:	clean-patched unpatch
 
 clean-patched: 
@@ -68,7 +71,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V 'libtalloc1 (>= 1.3.0)' -- -c4
+	dh_makeshlibs -V 'libtalloc1 (>= 1.3.0)' -- -c0
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol




More information about the Pkg-samba-maint mailing list